> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show organization (v2 · deprecated)

> Deprecated: GET /v2/organizations/{slug}. Sunset on September 15, 2026.

<Warning>
  This endpoint is deprecated and will be sunset on **September 15, 2026**.
  Please migrate to [GET /v2/organization](/api-reference/business-api/accounts-organizations/organizations/retrieve-the-authenticated-organization-and-list-bank-accounts).
  See the [migration guide](/api-reference/business-api/accounts-organizations/organizations/migrate-from-deprecated-organization-endpoints).
</Warning>


## OpenAPI

````yaml get /v2/organizations/{slug}
openapi: 3.1.1
info:
  version: v2
  title: Qonto
servers:
  - url: https://thirdparty.qonto.com
    description: Production URL
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox URL
security:
  - OAuth:
      - organization.read
      - membership.read
      - membership.write
      - attachment.write
      - internal_transfer.write
      - payment.write
      - supplier_invoice.write
      - supplier_invoice.read
      - client_invoices.read
      - client_invoice.write
      - client.read
      - client.write
      - product.read
      - product.write
      - request_review.write
      - request_review.read
      - team.read
      - team.write
      - request_transfers.write
      - insurance_contract.read
      - insurance_contract.write
      - card.read
      - card.write
      - bank_account.write
      - beneficiary.trust
      - webhook
      - payment_link.write
      - payment_link.read
      - sepa_direct_debit.read
      - sepa_direct_debit.write
      - terminal.read
      - terminal.write
  - SecretKey: []
paths:
  /v2/organizations/{slug}:
    get:
      tags:
        - Organizations
      summary: Show organization (deprecated)
      description: >
        OAuth scope: `organization.read`




        **Deprecated. Sunset on September 15, 2026.** Please migrate to [GET
        /v2/organization](/api-reference/business-api/accounts-organizations/organizations/retrieve-the-authenticated-organization-and-list-bank-accounts).
        See the [migration
        guide](/api-reference/business-api/accounts-organizations/organizations/migrate-from-deprecated-organization-endpoints).




        This schema backs both the legacy `GET /v1/organizations/{slug}` and
        `GET /v2/organizations/{slug}` endpoints. Both return the list and
        details of a company's bank accounts for the authenticated company.


        The `balance` represents the actual amount of money on the account, in
        Euros. The `authorized_balance` represents the amount available for
        payments, taking into account transactions that are being processed.
        [More information
        here](https://support.qonto.com/hc/en-us/articles/115000493249-How-is-the-balance-of-my-account-calculated-)


        The bank account's `slug` and `iban` will be required for you to
        retrieve the list of transactions inside that bank account, using [List
        transactions](/api-reference/business-api/transactions-statements/transactions/list-transactions).
      parameters:
        - $ref: '#/components/parameters/X-Qonto-Staging-Token'
        - name: slug
          in: path
          required: true
          description: Organization slug. Must match the authenticated organization.
          schema:
            type: string
            example: super-organization-9798
          examples:
            default:
              value: super-organization-9798
      responses:
        '200':
          description: >-
            DEPRECATED. Please use [Get organization and its
            bank_accounts](/api-reference/business-api/endpoints/organizations/retrieve-the-authenticated-organization-and-list-bank-accounts)
            instead.
          content:
            application/json:
              schema:
                type: object
                properties:
                  organization:
                    type: object
                    properties:
                      slug:
                        type: string
                      legal_name:
                        type:
                          - string
                          - 'null'
                      bank_accounts:
                        type: array
                        items:
                          type: object
                          properties:
                            slug:
                              type: string
                            iban:
                              type: string
                            bic:
                              type: string
                            currency:
                              type: string
                            balance:
                              type: number
                              format: float
                            balance_cents:
                              type: integer
                            authorized_balance:
                              type: number
                              format: float
                            authorized_balance_cents:
                              type: integer
                            name:
                              type: string
                            updated_at:
                              type: string
                            status:
                              type: string
                              enum:
                                - active
                                - closed
              examples:
                default:
                  value:
                    organization:
                      slug: super-organization-9798
                      legal_name: null
                      bank_accounts:
                        - slug: super-bankaccount-7150
                          iban: FR7616798000010000005663951
                          bic: TRZOFR21XXX
                          currency: EUR
                          balance: 100
                          balance_cents: 10000
                          authorized_balance: 100
                          authorized_balance_cents: 10000
                          updated_at: '2021-03-23T14:00:46.667Z'
                          status: active
        '401':
          description: returns an unauthorized error
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: string
                        detail:
                          type: string
              examples:
                default:
                  value:
                    errors:
                      - code: unauthorized
                        detail: You must be authenticated to perform this action
      deprecated: true
      security:
        - OAuth:
            - organization.read
        - SecretKey: []
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
  securitySchemes:
    OAuth:
      type: oauth2
      description: >
        Bearer authorization header: `Bearer <token>`, where `<token>` is the
        access token received from the authorization server at the end of the
        [OAuth 2.0
        flow](/get-started/business-api/authentication/oauth/oauth-flow).
      flows:
        authorizationCode:
          refreshUrl: https://oauth.qonto.com/oauth2/token
          authorizationUrl: https://oauth.qonto.com/oauth2/auth
          scopes:
            attachment.read: Retrieve attachments
            attachment.write: Upload attachments and remove attachments from transactions
            bank_account.write: Create, update and close bank accounts
            beneficiary.trust: Trust SEPA beneficiaries
            card.read: Retrieve cards
            card.write: Create or update cards
            client.read: Retrieve clients
            client.write: Create clients
            client_invoice.write: Create client invoices
            client_invoices.read: Retrieve client invoices and credit notes
            einvoicing.read: Retrieve e-invoicing settings
            embed_auth_link.write: Create Embed auth links
            insurance_contract.read: Retrieve insurance contracts
            insurance_contract.write: Create and update insurance contracts
            internal_transfer.write: >-
              Create internal transfers (between 2 Qonto accounts of the same
              organization)
            international_transfer.write: Create international transfers
            membership.read: Retrieve the authentified membership
            membership.write: Invite team members
            offline_access: Retrieve a refresh token
            organization.read: >-
              Retrieve organization, bank accounts, transactions, transfers,
              beneficiaries, labels, memberships, requests & statements
            payment.write: Create external transfers and untrust beneficiaries
            payment_link.read: >-
              Retrieve payment links, their payments, and the available payment
              methods
            payment_link.write: >-
              Connect to the payment links provider, create and deactivate
              payment links
            product.read: Retrieve products
            product.write: Create products
            request_cards.write: Create card requests
            request_review.write: Approve or decline requests
            request_transfers.write: Create transfer requests
            sepa_direct_debit.read: View SEPA Direct Debit payments
            sepa_direct_debit.write: Manage SEPA Direct Debit payments
            supplier_invoice.read: Retrieve supplier invoices
            supplier_invoice.write: Create supplier invoices
            team.read: Retrieve teams
            team.write: Create teams
            terminal.read: View your payment terminals
            terminal.write: Configure your terminals and initiate payments
            webhook: >-
              Receive a notification each time a particular event occurs in
              Qonto
          tokenUrl: https://oauth.qonto.com/oauth2/token
    SecretKey:
      type: apiKey
      description: cf. [API key](/get-started/business-api/authentication/api-key)
      name: Authorization
      in: header

````